Mozilla Lightning on Debian Squeeze


To install Mozilla Lightning on Debian squeeze do the following:

aptitude install iceowl-extension

Fixes the following issues:
If you are trying to install lightning plugin version 1.0b1 January 12, 2010 2.5 MB

Works with:

  • Thunderbird 3.0b4 – 3.0.*
  • SeaMonkey 2.0b2 – 2.0.*
and you are using amd64 then you might be getting these errors if you download lightining from

“Could not be installed because it is not compatible with  your Icedove build type (Linux_x86_64-gcc3). Please contact the author of this item about the problem.”

Above installation fixes this issue. Enjoy!